package com.ssj.service.conch.common.service;

import com.ssj.bean.conch.conch.domain.ConchDerver;
import com.ssj.framework.core.util.ResponseEntity;

/**
 * @author yangcan
 * 类描述:公共接口(各端均可调用)
 * 创建时间:2018年8月10日 上午11:43:43

 */
public interface ConchCommonService {

	/**
	 * 绑定小塾赠送2个月作业吧服务
	 * @param vipId
	 */
	public void giveBindConchZybService(String vipId);

	/**
	 * 绑定小塾赠送服务
	 *
	 * @param vipId
	 * @param days
	 */
	void giveBindConchZybServiceV1(String vipId, int days);
	/**
	 * 绑定小塾赠送服务
	 *
	 * @param vipId
	 * @param days
	 * @param useType
	 */
	void giveBindConchZybServiceV2(String vipId, int days, int useType);

	/**
	 * 绑定小塾赠送服务
	 * @param vipId
	 * @param conchDerver
	 */
	void giveBindConchZybServiceV3(String vipId, ConchDerver conchDerver);

	/**
	 * 绑定小塾
	 * @param vipId
	 * @param longitude
	 * @param latitude
	 * @param derver
	 * @return
	 */
	ResponseEntity bindDerver(String vipId, String longitude, String latitude, String derver);

	ResponseEntity bindDerver(String vipId, String longitude, String latitude, String derver, String userId);
}
